# List operations

## Get operations

<mark style="color:blue;">`GET`</mark> `https://api.meria.com/v1/operations`

This endpoint allows to get operations (withdrawals, exchanges, credits and debits) sort in descending order of creation date.

#### Headers

| Name    | Type   | Description            |
| ------- | ------ | ---------------------- |
| API-KEY | string | Authentification token |

{% tabs %}
{% tab title="200 Operations successfully retrieved" %}

```
{
    "success": true,
    "data": [
        {
            "id": 3010,
            "type": "withdraw",
            "status": "paid",
            "date": 1538914035,
            "sourceCurrencyCode": "ETH",
            "sourceAmount": 3.7,
            "destinationCurrencyCode": "ETH",
            "destinationAmount": 0,
            "destinationAddress": "0x..................",
            "memo": null
        },
        {
            "id": 4027,
            "type": "withdraw",
            "status": "paid",
            "date": 1537115656,
            "sourceCurrencyCode": "ETH",
            "sourceAmount": 0.517,
            "destinationCurrencyCode": "ETH",
            "destinationAmount": 0,
            "destinationAddress": "0x....................",
            "memo": null
        },
        {
            "id": 5181,
            "type": "exchange",
            "status": "paid",
            "date": 1536862720,
            "sourceCurrencyCode": "ZEC",
            "sourceAmount": 0.00370617,
            "destinationCurrencyCode": "ETH",
            "destinationAmount": 0.00233272
        },
        {
            "id": 4522,
            "type": "credit",
            "status": "paid",
            "date": 1532299229,
            "currencyCode": "BCARD",
            "amount": 5,
            "details": "Masternode sale"
        }
    ]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meria.com/operations/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
